Bug 235236 - Review Request: vblade - Virtual EtherDrive (R) blade daemon
Summary: Review Request: vblade - Virtual EtherDrive (R) blade daemon
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 17:15 UTC by Jima
Modified: 2016-08-14 16:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 15:25:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jima: fedora_requires_release_note?
cweyl: fedora-review+


Attachments (Terms of Use)

Description Jima 2007-04-04 17:15:42 UTC
Spec URL: http://beer.tclug.org/fedora-extras/vblade/vblade.spec
SRPM URL: http://beer.tclug.org/fedora-extras/vblade/vblade-14-1.fc6.src.rpm
Description: 
The vblade is the virtual EtherDrive (R) blade, a program that makes a
seekable file available over an ethernet local area network (LAN) via
the ATA over Ethernet (AoE) protocol.

The seekable file is typically a block device like /dev/md0 but even
regular files will work.  When vblade exports the block storage over
AoE it becomes a storage target.  Another host on the same LAN can
access the storage if it has a compatible aoe kernel driver.

Comment 1 Jima 2007-04-07 22:13:34 UTC
As cweyl found in this package's sibling review (aoetools, BZ#235234), the
Fedora compiler flags weren't being honored, so I've released the following update:

http://beer.tclug.org/fedora-extras/vblade/vblade.spec
http://beer.tclug.org/fedora-extras/vblade/vblade-14-2.fc6.src.rpm

Comment 2 Chris Weyl 2007-04-08 18:00:50 UTC
Ok, as a storage geek in a previous (and maybe future) life, I'm finding this
pretty cool :)

Comment 3 Chris Weyl 2007-04-08 18:16:57 UTC
There is a contrib directory -- but as it's a source patch, it's probably not
something to stick in %doc.  Not that it is, I'm just saying. :)

+ source files match upstream:
c5c7ed7b859d6d74575dd9facd82e2a1  vblade-14.tgz
c5c7ed7b859d6d74575dd9facd82e2a1  rpms/vblade/vblade-14.tgz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. (GPL) License text included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate (as tweaked :) )
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
** vblade-14-2.fc6.x86_64.rpm
== rpmlint
== provides
config(vblade) = 14-2.fc6
vblade = 14-2.fc6
== requires
/bin/sh  
/sbin/chkconfig  
/sbin/service  
config(vblade) = 14-2.fc6
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
rtld(GNU_HASH)  
** vblade-debuginfo-14-2.fc6.x86_64.rpm
== rpmlint
== provides
vblade-debuginfo = 14-2.fc6
== requires
O no %check -- but no tests either.
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scriptlets look sane.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 4 Jima 2007-04-08 20:39:54 UTC
Did someone get the license plate of that reviewer?  Came outta nowhere...

Thanks for the speedy review.  Flagging CVS and release notes (again, having
this in Fedora might be worth noting).

Comment 5 Jima 2007-04-08 20:43:35 UTC
The template might help, sorry:

New Package CVS Request
=======================
Package Name: vblade
Short Description: Virtual EtherDrive (R) blade daemon
Owners: jima@beer.tclug.org
Branches: FC-5, FC-6, devel
InitialCC: 

Comment 6 Jima 2007-04-09 15:25:14 UTC
vblade-14-2 built in devel just fine; closing this review out.  Thanks again!

Comment 7 Jima 2007-04-09 15:36:50 UTC
Oops, Firefox caching seemed to reset fedora‑cvs to ?; unsetting.

Comment 8 Karsten Wade 2007-04-22 04:08:42 UTC
Note in F7 release notes under "PackageNotes".  Thanks for thinking of us. :)

Comment 9 Jima 2007-11-30 16:05:34 UTC
Package Change Request
======================
Package Name: vblade
New Branches: EL-4 EL-5

Comment 10 Kevin Fenzi 2007-11-30 17:29:48 UTC
cvs done.

Comment 11 Christopher Meng 2013-08-24 10:21:40 UTC
New Package SCM Request
=======================
Package Name: vblade
Short Description: Virtual EtherDrive (R) blade daemon
Owners: cicku
Branches:

Comment 12 Christopher Meng 2013-08-26 10:33:07 UTC
Package Change Request
======================
Package Name: vblade
New Branches: f20
Owners: cicku

Comment 13 Gwyn Ciesla 2013-08-26 12:11:52 UTC
Package is retired and would require re-review.


Note You need to log in before you can comment on or make changes to this bug.